<?php

namespace ReCalendar;

class LocalConfig extends Config {
  protected function get_configuration() : array {
    return array_merge( parent::get_configuration(), [
      // See `locale -a` if your locale is supported
      self::LOCALE => 'de_DE.UTF-8',
      // Override the month names, because the Polish locale
      // has them declined, but I prefer them like this
      self::MONTHS => [
        1 => 'Januar',
        2 => 'Februar',
        3 => 'März',
        4 => 'April',
        5 => 'Mai',
        6 => 'Juni',
        7 => 'Juli',
        8 => 'August',
        9 => 'September',
        10 => 'Oktober',
        11 => 'November',
        12 => 'Dezember',
      ],
	self::YEAR => 2022,
      // Some habits I want to track
//      self::HABITS => [
//        'Jogging',
//        'Hobby',
//        'Książka',
//      ],
      // These will be shown on each week overview
      // to help me plan the week.
//      self::WEEKLY_TODOS => [
//        'Odkurzyć mieszkanie',
//        'Zaplanować wycieczkę',
//      ],
      self::WEEK_NAME => 'Woche',
      self::WEEK_NUMBER => 'W#',
      self::DAY_NAMES_SHORT => [
        'Mo',
        'Di',
        'Mi',
        'Do',
        'Fr',
        'Sa',
        'So',
      ],
      self::DAY_ITINERARY_ITEMS => [
        self::DAY_ITINERARY_COMMON => [
          [ 21, '', ],
//          [ 2, 'One act of kindness', ],
        ],
        // You can use day of the week numbers (4 being Thursday here)
        // to override the itinerary items for those specific days.
        4 => [
          [ 21, '', ],
//          [ 3, 'One act of kindness', ],
          // Adding more than ~24 lines forces a new page to be created
          // You can use that to add an additional page for days you
          // need to write more
//          [ 28, 'Notes from session', ],
        ],
        self::DAY_ITINERARY_WEEK_RETRO => [
          // Just give me 24 lines, without any text
          [ 24, '' ],
        ],
        self::DAY_ITINERARY_MONTH_OVERVIEW => [
//          [ 3, 'Main goal', ],
//          [ 13, 'Notes', ],
        ],
      ],
      self::SPECIAL_DATES => [
//        '14-03' => [ 'Pi Day' ],
//        '25-12' => [ 'Christmas' ],
    // Note that you can, of course, have more than one item per day:
//    '04-05' => [ 'Star Wars Day', "Will Arnett's birthday" ],

	    '01-01' => [ 'Neujahr'],
	    '06-01' => [ 'Heilige Drei Könige'],
	    '02-04' => ['Karfreitag'],
	    '05-04' => ['Ostermontag'],
	    '01-05' => ['Tag der Arbeit'],
	    '13-05' => ['Christi Himmelfahrt'],
	    '24-05' => ['Pfingstmontag'],
	    '03-06' => ['Fronleichnam'],
	    '03-10' => ['Tag der deutschen Einheit'],
	    '01-11' => ['Allerheiligen'],
	    '25-12' => ['1. Weihnachtsfeiertag'],
	    '26-12' => ['2. Weihnachtsfeiertag'],

      ],
      self::WEEKLY_RETROSPECTIVE_BOOKMARK => 'Zusammenfassung',
      self::WEEKLY_RETROSPECTIVE_TITLE => 'Zusammenfassung der Woche',
    ] );
  }
}
